
Figure - Bug #115111
【BSP】【EVT2】【视频】【必现】.wmv格式的视频不能播放
2023-01-06 10:24 - CDTS_TEST 刘勇

Status: CLOSED Start date: 2023-01-06

Priority: Normal Due date: 2023-02-22

Assignee: CD BSP何伟 % Done: 0%

Category: AUDIO-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0066.X101

Resolution: WONTFIX Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1.测试机中有.wmv的视频

【测试步骤】

1.进入视频 播放.wmv格式视频文件，

2.查看现象

【预期结果】

2. .wmv格式的视频能播放

【实际结果】

2.  .wmv格式的视频不能播放

【复现概率次数】5/5，

【对比机】联想平板无法播放

History

#1 - 2023-01-06 16:48 - CD MM陈海波

- Category set to AUDIO-FW

#2 - 2023-01-06 16:49 - CD MM陈海波

- Due date set to 2023-01-19

当前状态如下: 

使用0106版本进行测试, 发现可以wmv没法播放.

应该是ok的.

现在还在和测试小伙伴确认具体的情况.

谢谢!

#3 - 2023-01-09 15:07 - CD MM陈海波

- Status changed from New to NEED_INFO
- Assignee changed from CD MM陈海波 to CDTS_TEST 刘勇

通过测试小伙伴进行沟通, 0106版本上WMV确实无法播放. 

所以麻烦对此问题进行多个版本监控下.

如果不能复现, 麻烦将问题转回来, 我将其进行关闭. 

如果问题还复现, 麻烦提供一份log和dumpsys信息咯.

logcat抓取: 

    adb logcat -b all > logcat.txt

dumpsys抓取(麻烦在wmv在播放的过程中执行下边的命令):  

    adb shell dumpsys media.player > media.player.txt

    adb shell dumpsys media.metrics > media.metrics.txt

    adb shell dumpsys media.extractor > media.extractor.txt

多谢!

#4 - 2023-01-10 13:51 - CDTS_TEST 刘勇

【测试环境】EVT2-VX1整机+屏幕

【软件】FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0067.X101

【前提条件】

1.测试机中有.wmv的视频

【测试步骤】

1.进入视频 播放.wmv格式视频文件，

2.查看现象

【实际结果】

2. .wmv格式的视频不能播放

【复现次数】0/5

#5 - 2023-01-11 17:07 - CDTS_TEST 刘勇

【测试环境】EVT2-VX1整机+屏幕

【软件】FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301110536

【前提条件】

1.测试机中有.wmv的视频

【测试步骤】

1.进入视频 播放.wmv格式视频文件，

2.查看现象

【实际结果】

2. .wmv格式的视频不能播放

【复现次数】0/5

#6 - 2023-01-29 10:12 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 刘勇 to 移动测试一组_CDTS 刘强

#7 - 2023-01-29 15:39 - 移动测试一组_CDTS 刘强

- File logcat.txt added

- File media.extractor.txt added
- File media.metrics.txt added

- File media.player.txt added

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD MM陈海波

测试版本：FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202301191306

验证结果：复现

上传相关日志

#8 - 2023-01-31 09:49 - CD TPM-王祥林

- Assignee changed from CD MM陈海波 to CD BSP何伟

#9 - 2023-02-02 19:56 - CD BSP何伟

- File wmv_log.png added

- Due date changed from 2023-01-19 to 2023-02-06

从log中分析wmv格式的视频似乎是不支持解码播放的;

ExtendedUtils: printFileName fd(12) -> /storage/emulated/0/h263+aac_1247kbps_800x480_30fps_44.1khz.wmv

...

MM_OSAL : Unsupported Video Codec/format

我会再多确认几次

然后再跟测试的同学沟通一下。

#10 - 2023-02-06 17:19 - CD TPM-王祥林

- Due date changed from 2023-02-06 to 2023-02-22

依赖客户输入需要支持的格式，看看是否需要支持wmv播放。

#11 - 2023-02-17 09:47 - CD TPM-王祥林

何伟

找高通要一下这个芯片对应的audio文档，看看哪些音视频格式是支持的。

#12 - 2023-02-17 10:14 - CD BSP何伟

根据高通提供的文档80-PK882-37SC，8250支持以下视频格式：

3G2、AVI、DivX、TS/M2TS、MKV、WEBM、MPG、3GP/MPEG-4、HEIC/HEIF、MOV

而ASF/WMV的文件似乎是不支持视频编解码的

#13 - 2023-02-17 10:25 - CD BSP何伟
需要继续跟高通了解关于wmv的更多细节

#14 - 2023-02-17 15:11 - CD BSP何伟

- Assignee changed from CD BSP何伟 to 移动测试一组_CDTS 刘强

Hi

我这边已经跟高通CE沟通了，我们平台是不支持wmv格式的视频编解码的，所以是不能播放的。

#15 - 2023-02-22 19:22 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to CD BSP何伟

麻烦修改下状态，走wonfix 不支持原因关闭吧

#16 - 2023-02-23 22:05 - CDTS_TEST 王成

- Status changed from ASSIGNED to RESOLVED

- Resolution changed from -- to WONTFIX

#17 - 2023-02-23 22:05 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#18 - 2023-02-23 22:05 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

logcat.txt 2.23 MB 2023-01-29 移动测试一组_CDTS 刘强

media.extractor.txt 5.42 KB 2023-01-29 移动测试一组_CDTS 刘强

media.metrics.txt 178 KB 2023-01-29 移动测试一组_CDTS 刘强

media.player.txt 66.3 KB 2023-01-29 移动测试一组_CDTS 刘强

wmv_log.png 76.3 KB 2023-02-02 CD BSP何伟
